<?php
/**
*
* Style Changer extension for the phpBB Forum Software package.
* @copyright (c) 2010 created Prime Quick Style Mod for phpBB 3.0.7 by primehalo http://www.absoluteanime.com
* @copyright (c) 2014 - 2024 created an Extension by Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

namespace kirk\stylechanger\migrations;

class v_2_6_6 extends \phpbb\db\migration\migration
{
	var $stylechanger_version = '2.6.6';
	public function effectively_installed()
	{
		return isset($this->config['stylechanger_version']) && version_compare($this->config['stylechanger_version'], $this->stylechanger_version, '>=');
	}

	public static function depends_on()
	{
		return ['\kirk\stylechanger\migrations\v_2_6_5'];
	}

	public function update_data()
	{
		return [
			['config.update', ['stylechanger_version', $this->stylechanger_version]],
		];
	}
}
