<?php
/**
*
* Style Changer extension for the phpBB Forum Software package.
* @copyright (c) 2010 created Prime Quick Style Mod for phpBB 3.0.7 by primehalo http://www.absoluteanime.com
* @copyright (c) 2014 - 2024 created an Extension by Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

namespace kirk\stylechanger\migrations;

class v_2_8_0 extends \phpbb\db\migration\migration
{
	public static function depends_on()
	{
		return ['\kirk\stylechanger\migrations\v_2_7_0'];
	}

	public function update_data()
	{
		return [
			['config.add'		, ['stylechanger_activated', $this->config['stylechanger_enable']]],
			['config.add'		, ['stylechanger_fa_icon_activated', $this->config['stylechanger_fa_icon_enable']]],
			['config.add'		, ['stylechanger_ucp_user_style', $this->config['ucp_user_style']]],
			['config.add'		, ['stylechanger_activated', '1']],
			['config.add'		, ['stylechanger_ucp_user_style', '0']],
			['config.add'		, ['stylechanger_activated', '1']],
			['config.add'		, ['stylechanger_toggle_activated', '1']],
			// remove configs
			['config.remove'	, ['stylechanger_enable']],
			['config.remove'	, ['stylechanger_fa_icon_enable']],
			['config.remove'	, ['ucp_user_style']],
		];
	}
}
