# phpBB 3.2.x , 3.3.x Extension - Style Changer
	- License (license.txt) [GPL-2.0-only]
	- Date of first publication: 2014-04-19 Version 1.0.0 for phpBB-3.1 Ascraeus - Based on Prime-Quick-Style-MOD v1.2.6 (2011-05-13) by Primehalo ( www.absoluteanime.com )

- Installation
	1. download the archive, unzip it.
	2. upload the content of the unzipped folder to root/ext/
	3. navigate in ACP -> customize -> manage and activate the extension.
	4. go to "ACP" -> "Extensions" and activate the desired settings.

- Languages
	British English
	German (Casual Honorifics) - Deutsch (Du)
	German (Formal Honorifics) - Deutsch (Sie)

## Install Style Changer new Version 2.4.0, 2019-02-23

	1) Go to "ACP" > "Customise" > "Extensions" and follow the instructions to "Updating an extension".
	2) Copy the contents from the unzipped folder to root/ext/kirk/stylechanger
	3) Clean up: Go to "ACP" > "General" > "Board settings" and and set your preferences into "Board style".
	4) Reset style cookies, clean up: Go to "ACP" > "Customise" > "Style management" and disable all styles (except your default style).
	5) Go to "ACP" > "Customise" > "Manage extensions" and enable the "kirk/stylechanger" extension.
	6) Go to "ACP" > "Extensions" > set the > "Style Changer Settings" - set therein the functions.
	7) In the User permissions/Group permissions can be setting under Misc, who can see the Style Changer.
	8) Now activate the styles you want to use on your board in the ACP.

### Important Hint
	- The style cookie is set when Guest can use the style changer if the style changer is visible and applicableand.
	Please note your privacy policy in the context of the cookies which are using into your board.

 New features in version 2.4.0: Detailed information:
	Starting with version 2.4.0 it is possible to deactivate the function "My Board-Style" in the ACP module in the User Control Panel/Board preferences/Edit global settings.
		This allows only certain users/groups to change the style. To enable this, the following must be done:
			a) In the ACP/Board-Settings set your default style for new members and guests.
			b) In ACP/Customize/Style Management/Styles disable (do not delete) the styles except the default style used. The default style must remain activated.
			c) After that activate the styles again and clear the caches again, this is necessary to reset the style cookies.
		If you now set the function "My Board-Style" in the ACP module in the User Control Panel to "deactivate" at "Yes",
		it is possible to allow only certain users/groups to change the style.
	A version check is also integrated as of the 2.4.0 version.

 New features in version 2.5.0: 2019-11-20:
	The text "Board Style" was replaced by background-color and a small graphic. For this purpose the standard class badge is used.
	If you want to use a font icon instead of a graphic, you can do so according to the instructions: https://reyno41.bplaced.net/phpbb/viewtopic.php?f=41&t=197

 New in versions 2.6.0 - 2.6.3: 2020-01-11, 2020-01-12, 2020-01-18, 2020-04-18:
	Small HTML and PHP adjustments.

 Innovations in version 2.6.4 2020-10-11:
	Some changes (HTML and PHP adjustments).

 Innovations in version 2.6.5 2020-11-28:
	In the ACP module, you can choose between a small graphic or a Font Awesome symbol.
	The FA symbol can be set as desired in the ACP module.
	Animated Font Awesome icons can also be used. For example: (fa-diamond fa-spin).
	HTML, CSS and PHP adjustments.

 New in version 2.6.6: 2021-05-28:
	The min. requirement was increased to 3.2.6
	Various code adjustments.

 New in version 2.6.7: 2022-01-11:
	The PHP files were changed to the short array syntax.
	If "Override user style" is set to yes in the ACP/Board settings, a "trigger_error" is generated in the ACP module.
	The extension version number is now loaded via composer.json.
	Various code adjustments.

 New in version 2.6.8: 2022-06-22:
	The settings in the ACP module have been changed to controller.
	XHTML code removed.
	In the ACP module for 'Font Awesome Symbol', when a symbol is entered, the corresponding icon is displayed to the right of the input box.
	The messages when style changer is deactivated or the admin mode is active have been revised.
	The "trigger_error" when 'Overwrite user style' is set to yes in the ACP/Board settings has been removed, a corresponding message is displayed instead.
	Furthermore, the 'Send' button (if the above setting is active) is blocked.
	If a group or user does not have the permission "Can alter permissions for individual groups" or "Can alter permissions for individual users" in the 'Administrator Permissions',
	the permission info in the ACP module is displayed accordingly.
	Various code adjustments.

 New in version 2.6.9: 2022-10-20:
	The radio buttons in the ACP module (Yes/No) have been replaced by a toggle switch.
	If guests dont have the permission "Can view the Style Changer", the setting Guests style in the Board settings is displayed.
	For registered users, if a Group or User does not have the Permission
		"Can view the Style Changer" and at once the function Disable "My board style" on User Control Panel is set to Yes in the ACP module,
		the default style is displayed.
	Various code adjustments.

 New in version 2.7.0: 2022-12-17:
	Toggle CSS optimised and moved to a separate file.
	The ext.php has been updated according to the latest knowledge.
	Language files/variables for ext.php changed.
	JS for toggles adapted.
	Various code adjustments.

 New in version 2.8.0: 2023-02-10:
	Changed some language variables.
	config variables changed, this was reflected in the new migrations file.
	Added an additional setting that allows you to choose between showing a toggle switch or the Yes/No radio buttons.
	Various code adjustments.

 New in version 2.8.1: 2023-07-27:
	Changed some language variables.
	Bug Fixes
	Small code adjustments.

 New in version 2.8.2: 2022-03-10:
	If "Overwrite user style" is set to yes in the ACP/board settings, the settings are set to transparent in the ACP module in addition to the corresponding note.
	If you deactivated the style changer in the ACP module and activated the admin mode at the same time, you only saw the note that SC is deactivated.
	This has been changed so that both notices are displayed.
	The sc_acp.js revised
	Compatible with Toggle Control (set switch style centrally)
	Note: If the extension mentioned above is installed and the function is activated, the switch "Activate toggle switch" has no meaning!
	The max. PHP version has been increased to PHP 8.3
	Code optimisation

#### Note
	Change the content of root/ext/kirk/stylechanger/styles/prosilver/template/stylechanger.html to your needs.

##### Hint
	The Position of the Style Changer could be changed.
	You have to change the filename "overall_header_navigation_append.html" > kirk/stylechanger/styles/prosilver/template/event/overall_header_navigation_append.html to the
	suitable event-name for an other position in your template. You could find those event-names in the aera51: Please note the respective CSS, - and HTML declaration.
	https://area51.phpbb.com/docs/dev/master/extensions/events_list.html#template-events

#############################################################################################################################################

# phpBB 3.2.x, 3.3.x Extension - Style Changer
	- License (license.txt) [GPL-2.0-only]
	- Datum der ersten Veröffentlichung: 19.04.2014 Version 1.0.0 for phpBB-3.1 Ascraeus - Basis Prime-Quick-Style-MOD v1.2.6 (2011-05-13) von Primehalo ( www.absoluteanime.com )

- Installation
	1. Das Archiv herunterladen, entpacken.
	2. Lade den Inhalt des entpackten Ordners nach root/ext/ hoch.
	3. Navigiere im ACP -> Anpassen -> verwalte und aktiviere die Erweiterung.
	4. Gehe im "ACP" > "Erweiterungen" und aktiviere die gewünschten Einstellungen.

- Sprachdateien
	en - British English
	de - Deutsch (Du)
	de_x_sie - Deutsch (Sie)

## Style Changer, 23.02.2019: Installationshinweise für die neue Version 2.4.0

	1) Administrationsbereich: "ACP" > "Anpassen" > "Erweiterungen" und befolge die Anweisungen "Eine Erweiterung aktualisieren".
	2) Kopiere den Inhalt aus dem entpackten Archiv-Ordner nach root/ext/kirk/stylechanger
	3) Style Einstellungen bereinigen: "ACP" > "Allgemein" > "Board-Einstellungen" und stelle die gewünschten Einstellungen bei "Style des Boards" ein.
	4) Style-Cookies zurücksetzen, aufräumen: Gehe im "ACP" > "Anpassen" > "Styleverwaltung" und deaktiviere (nicht löschen) die Styles. Der Standardstyle muss aktiviert bleiben.
	5) "ACP" > "Anpassen" > "Erweiterungen verwalten" und aktiviere die Erweiterung "kirk/stylechanger".
	6) "ACP" > "Erweiterungen" > stelle die Funktionen > "Style Changer Settings" ein - legen diese fest.
	7) In den Benutzerrechten/Gruppenrechten kann unter Diverses eingestellt werden, wer den Style Changer sehen darf.
	8) Aktiviere nun im ACP die Styles, die du in deinem Board nutzen möchtest.

### Wichtiger Hinweis
	- Der Style-Cookie wird gesetzt, wenn Gäste den Stylechanger verwenden können, da er sichtbar und somit anwendbar ist.
	Beachte bitte deine Datenschutzhinweise im Zusammenhang der in deinem Board verwendeten Cookies.

 Neuerungen bei der Version 2.4.0: Ausführliche Informationen
	Ab der 2.4.0 Version ist es möglich im ACP Modul die Funktion "Mein Board-Style" im Persönlichen Bereich/Einstellungen/Persönliche Einstellungen zu deaktivieren.
		Damit ist es möglich nur bestimmten Benutzern/Gruppen zu erlauben den Style zu wechseln. Um dies zu ermöglichen muss folgendes getan werden:
			a) Im ACP/Board-Einstellungen den Standard-Style für neue Mitglieder sowie für Gäste einstellen.
			b) Im ACP/Anpassen/Style-Verwaltung/Styles deaktiviere (nicht löschen) die Styles außer dem verwendeten Standardstyle. Dein Standardstyle muss aktiviert bleiben.
			c) Danach aktiviere die Styles wieder und bereinige erneut die Caches, dies ist notwendig damit die Style-Cookies neu gesetzt werden.
		Wenn man jetzt im ACP Modul bei der Funktion "Mein Board-Style" im Persönlichen Bereich "deaktivieren" ein "Ja" setzt,
		ist es möglich nur bestimmten Benutzern/Gruppen zu erlauben den Style zu wechseln.
	Ein Versionscheck ist ab der 2.4.0 Version integriert.

 Neuerungen bei der Version 2.5.0: 20.11.2019:
	Der Text "Board Style" wurde durch background-color sowie eine kleine Grafik ersetzt. Für diesen Zweck wird die Standardklasse badge genutzt.
	Wer anstatt einer Grafik ein Font-Icon einsetzen möchte, kann laut Anleitung agieren: https://reyno41.bplaced.net/phpbb/viewtopic.php?f=41&t=197

 Neuerungen bei den Versionen 2.6.0 - 2.6.3: 11-01-2020, 12.01.2020, 18-01-2020, 18-04-2020:
	Kleinere HTML und PHP-Anpassungen.

 Neuerungen bei der Version 2.6.4 11-01-2020:
	Kleinere HTML- und PHP-Anpassungen.

 Neuerungen bei der Version 2.6.5 28-11-2020:
	Man hat die Möglichkeit im ACP Modul zwischen einer kleinen Grafik oder einem Font Awesome-Symbol zu wählen.
	Das FA Symbol ist im ACP Modul je nach belieben einstellbar.
	Es können auch animierte Font Awesome-Symbole verwendet werden. Zum Beispiel: (fa-diamond fa-spin).
	HTML, CSS und PHP-Anpassungen.

 Neuerungen bei der Version 2.6.6: 28-05-2021:
	Die min. Voraussetzung wurde auf 3.2.6 erhöht.
	Diverse Code Anpassungen.

 Neuerungen bei der Version 2.6.7: 11-01-2022:
	Die PHP Dateien wurden auf die Short Array Syntax umgestellt.
	Die Extensions Versionsnummer wird jetzt über die composer.json geladen.
	Ist im ACP/Board-Einstellungen bei "Benutzer-Style überschreiben" auf ja eingestellt, wird im ACP Modul ein "trigger_error" ausgelöst.
	Diverse Code Anpassungen.

 Neuerungen bei der Version 2.6.8: 22-06-2022:
	Die Einstellungen im ACP Modul wurden auf Controller umgestellt.
	XHTML Code entfernt.
	Im ACP Modul bei "Font Awesome Symbol" wird wenn ein Symbol eingetragen wird, rechts neben der input Box das entsprechende Icon gleich angzeigt.
	Die Meldungen wenn Style Changer deaktiviert oder der Admin-Modus aktiv ist, wurden überarbeitet.
	Der "trigger_error" wenn im ACP/Board-Einstellungen bei "Benutzer-Style überschreiben" auf ja eingestellt ist, wurde entfernt, es wird statdessen ein entsprechender Hinweis angezeigt.
	Des weiteren wird der Button "Absenden" (wenn oben genannte Einstellung aktiv) gesperrt.
	Besitzt eine Gruppe oder User in den "Administrator-Berechtigungen" nicht das Recht "Kann Berechtigungen für einzelne Gruppen ändern" oder
	"Kann Berechtigungen für einzelne Benutzer ändern", wird die Permission Info im ACP Modul dementsprechend angezeigt.
	Diverse Code Anpassungen.

 Neuerungen bei der Version 2.6.9: 20-10-2022:
	Die Radio Buttons im ACP Modul (Ja/Nein) wurden durch ein Toggle Switch ersetzt.
	Wenn Gäste nicht das Recht haben "Kann den Style Changer sehen", wird in den Board-Einstellungen der eingestellte Style für Gäste angezeigt.
	Bei registrierten Mitglieder wenn eine Gruppe bzw. User nicht das Recht haben
		"Kann den Style Changer sehen" und gleichzeitig im ACP Modul die Funktion "Mein Board-Style" im Persönlichen Bereich deaktivieren auf Ja gestellt ist,
		wird der Standard-Style angezeigt.
	Diverse Code Anpassungen.

 Neuerungen bei der Version 2.7.0: 17-12-2022:
	Toggle CSS optimiert und in eine separate Datei ausgelagert.
	Die ext.php wurde nach neuesten Kenntnisstand aktualisiert.
	Language Dateien/Variablen für ext.php geändert.
	JS für Toggles angepasst.
	Diverse Code Anpassungen/Änderungen.

 Neuerungen bei der Version 2.8.0: 2023-02-10:
	Einige Language Variablen geändert.
	config Variablen geändert, dies wurde in der neuen migrations Datei berücksichtigt.
	Es wurde eine zusätzliche Einstellung hinzugefügt, die es ermöglicht zwischen zu wählen ob ein Toggle Switch oder die Radio Buttons Ja/Nein anzegeigt werden sollen.
	Diverse Code Anpassungen/Änderungen

 Neuerungen bei der Version 2.8.1: 2023-07-27:
	Einige Language Variablen geändert.
	Bug Fixes
	Kleinere Code Anpassungen/Änderungen

 Neuerungen bei der Version 2.8.2: 2024-03-10:
	Ist im ACP/Board-Einstellungen bei "Benutzer-Style überschreiben" auf ja eingestellt, wird im ACP Modul zusätzlich zu dem entsprechendem Hinweis die Einstellungen auf Transparent gesetzt.
	Wenn man im ACP Modul den Style Changer deaktiviert und zu gleich der Admin Modus aktiviert wurde, sah man nur den Hinweis das SC deaktiviert ist.
	Dies wurde so geändert das beide Hinweise angezeigt werden.
	Die sc_acp.js überarbeitet
	Kompatibel mit Toggle Control (Schalter-Stil zentral festlegen)
	Hinweis: Wenn die oben genannte Extension inst. und die Funktion aktiviert ist, hat der Schalter "Toggle Switch aktivieren" keine Bedeutung!
	Die max. PHP Version wurde auf PHP 8.3 erhöht
	Code Optimierung

#### Hinweis
	Passe ggf. den Inhalt der HTML root/ext/kirk/stylechanger/styles/prosilver/template/stylechanger.html an deine Bedürfnisse an.

##### Anmerkung
	Die Position des Style Changers kann geändert werden. Dafür musst du den Event-Namen "overall_header_navigation_append.html",
	siehe > kirk/stylechanger/styles/prosilver/template/event/overall_header_navigation_append.html in ein passendes
	Event ändern, um den Link einer anderen Position zuzuordnen. Events findest du bei aera51: Beachte dabei bitte die jeweilige CSS, - und HTML-Deklaration.
	https://area51.phpbb.com/docs/dev/master/extensions/events_list.html#template-events
