<?php
/**
*
* Style Changer extension for the phpBB Forum Software package.
* @copyright (c) 2010 created Prime Quick Style Mod for phpBB 3.0.7 by primehalo http://www.absoluteanime.com
* @copyright (c) 2014 - 2024 created an Extension by Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

namespace kirk\stylechanger\acp;

class stylechanger_module
{
	public $page_title;
	public $tpl_name;
	public $u_action;

	public function __construct()
	{
		global $phpbb_container;
		$this->phpbb_container		= $phpbb_container;
		$this->language				= $phpbb_container->get('language');
	}

	public function main($id, $mode)
	{
		/** @var \kirk.stylechanger.controller.acp $acp_controller */
		$acp_controller = $this->phpbb_container->get('kirk.stylechanger.controller.acp');

		// Load a template from adm/style for our ACP page
		$this->tpl_name = 'acp_stylechanger_' . $mode;

		// Set the page title for our ACP page
		$this->page_title	= $this->language->lang('ACP_STYLECHANGER') . ' &hyphen; ' . $this->language->lang('ACP_STYLECHANGER_' . strtoupper($mode));

		$acp_controller->{'stylechanger_' . $mode}($this->u_action);
	}
}
