<?php
/**
*
* Style Changer extension for the phpBB Forum Software package.
* @copyright (c) 2010 created Prime Quick Style Mod for phpBB 3.0.7 by primehalo http://www.absoluteanime.com
* @copyright (c) 2014 - 2024 created an Extension by Kirk https://reyno41.bplaced.net/phpbb
* @license GNU General Public License, version 2 (GPL-2.0-only)
*
*/

namespace kirk\stylechanger\migrations;

class v_2_4_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['stylechanger_version']) && version_compare($this->config['stylechanger_version'], '2.4.0', '>=');
	}

	public static function depends_on()
	{
		return ['\kirk\stylechanger\migrations\v_2_3_0'];
	}

	public function update_data()
	{
		return [
			['config.update', ['stylechanger_version', '2.4.0']],
			['config.add', ['ucp_user_style', 0]],
		];
	}
}
